DescriptorProtos.FileOptions.Builder
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos.FileOptions.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<BuilderType>
      - - com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>
        - - com.google.protobuf.DescriptorProtos.FileOptions.Builder

- All Implemented Interfaces:
    DescriptorProtos.FileOptionsOrBuilder, GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.FileOptions>, Message.Builder, MessageLite.Builder, MessageLiteOrBuilder, MessageOrBuilder, java.lang.Cloneable
  Enclosing class:
    DescriptorProtos.FileOptions

      public static final class DescriptorProtos.FileOptions.Builder
      extends GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>
      implements DescriptorProtos.FileOptionsOrBuilder

  Protobuf type `google.protobuf.FileOptions`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.FileOptions.Builder` | `addAllUninterpretedOption(java.lang.Iterable<? extends DescriptorProtos.UninterpretedOption> values)` The parser stores options it doesn't recognize here.
    `<Type> DescriptorProtos.FileOptions.Builder` | `addExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.FileOptions,java.util.List<Type>> extension, Type value)` Append a value to a repeated extension.
    `DescriptorProtos.FileOptions.Builder` | `addRepeatedField(Descriptors.FieldDescriptor field, java.lang.Object value)` Like `setRepeatedField`, but appends the value as a new element.
    `DescriptorProtos.FileOptions.Builder` | `addUninterpretedOption(DescriptorProtos.UninterpretedOption.Builder builderForValue)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.FileOptions.Builder` | `addUninterpretedOption(DescriptorProtos.UninterpretedOption value)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.FileOptions.Builder` | `addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.FileOptions.Builder` | `addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.UninterpretedOption.Builder` | `addUninterpretedOptionBuilder()` The parser stores options it doesn't recognize here.
    `DescriptorProtos.UninterpretedOption.Builder` | `addUninterpretedOptionBuilder(int index)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.FileOptions` | `build()` Constructs the message based on the state of the Builder.
    `DescriptorProtos.FileOptions` | `buildPartial()` Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
    `DescriptorProtos.FileOptions.Builder` | `clear()` Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
    `DescriptorProtos.FileOptions.Builder` | `clearCcEnableArenas()` Enables the use of arenas for the proto messages in this file.
    `DescriptorProtos.FileOptions.Builder` | `clearCcGenericServices()` Should generic services be generated in each language? "Generic" services are not specific to any particular RPC system.
    `DescriptorProtos.FileOptions.Builder` | `clearCsharpNamespace()` Namespace for generated classes; defaults to the package.
    `DescriptorProtos.FileOptions.Builder` | `clearDeprecated()` Is this file deprecated? Depending on the target platform, this can emit Deprecated annotations for everything in the file, or it will be completely ignored; in the very least, this is a formalization for deprecating files.
    `<Type> DescriptorProtos.FileOptions.Builder` | `clearExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.FileOptions,?> extension)` Clear an extension.
    `DescriptorProtos.FileOptions.Builder` | `clearField(Descriptors.FieldDescriptor field)` Clears the field.
    `DescriptorProtos.FileOptions.Builder` | `clearGoPackage()` Sets the Go package where structs generated from this .proto will be placed.
    `DescriptorProtos.FileOptions.Builder` | `clearJavaGenerateEqualsAndHash()` Deprecated.
    `DescriptorProtos.FileOptions.Builder` | `clearJavaGenericServices()` `optional bool java_generic_services = 17 [default = false];`
    `DescriptorProtos.FileOptions.Builder` | `clearJavaMultipleFiles()` If set true, then the Java code generator will generate a separate .java file for each top-level message, enum, and service defined in the .proto file.
    `DescriptorProtos.FileOptions.Builder` | `clearJavaOuterClassname()` If set, all the classes from the .proto file are wrapped in a single outer class with the given name.
    `DescriptorProtos.FileOptions.Builder` | `clearJavaPackage()` Sets the Java package where classes generated from this .proto will be placed.
    `DescriptorProtos.FileOptions.Builder` | `clearJavaStringCheckUtf8()` If set true, then the Java2 code generator will generate code that throws an exception whenever an attempt is made to assign a non-UTF-8 byte sequence to a string field.
    `DescriptorProtos.FileOptions.Builder` | `clearObjcClassPrefix()` Sets the objective c class prefix which is prepended to all objective c generated classes from this .proto.
    `DescriptorProtos.FileOptions.Builder` | `clearOneof(Descriptors.OneofDescriptor oneof)` TODO(jieluo): Clear it when all subclasses have implemented this method.
    `DescriptorProtos.FileOptions.Builder` | `clearOptimizeFor()` `optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED];`
    `DescriptorProtos.FileOptions.Builder` | `clearPhpClassPrefix()` Sets the php class prefix which is prepended to all php generated classes from this .proto.
    `DescriptorProtos.FileOptions.Builder` | `clearPyGenericServices()` `optional bool py_generic_services = 18 [default = false];`
    `DescriptorProtos.FileOptions.Builder` | `clearSwiftPrefix()` By default Swift generators will take the proto package and CamelCase it replacing '.' with underscore and use that to prefix the types/symbols defined.
    `DescriptorProtos.FileOptions.Builder` | `clearUninterpretedOption()` The parser stores options it doesn't recognize here.
    `DescriptorProtos.FileOptions.Builder` | `clone()` Clones the Builder.
    `boolean` | `getCcEnableArenas()` Enables the use of arenas for the proto messages in this file.
    `boolean` | `getCcGenericServices()` Should generic services be generated in each language? "Generic" services are not specific to any particular RPC system.
    `java.lang.String` | `getCsharpNamespace()` Namespace for generated classes; defaults to the package.
    `ByteString` | `getCsharpNamespaceBytes()` Namespace for generated classes; defaults to the package.
    `DescriptorProtos.FileOptions` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `boolean` | `getDeprecated()` Is this file deprecated? Depending on the target platform, this can emit Deprecated annotations for everything in the file, or it will be completely ignored; in the very least, this is a formalization for deprecating files.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `Descriptors.Descriptor` | `getDescriptorForType()` Get the message's type's descriptor.
    `java.lang.String` | `getGoPackage()` Sets the Go package where structs generated from this .proto will be placed.
    `ByteString` | `getGoPackageBytes()` Sets the Go package where structs generated from this .proto will be placed.
    `boolean` | `getJavaGenerateEqualsAndHash()` Deprecated.
    `boolean` | `getJavaGenericServices()` `optional bool java_generic_services = 17 [default = false];`
    `boolean` | `getJavaMultipleFiles()` If set true, then the Java code generator will generate a separate .java file for each top-level message, enum, and service defined in the .proto file.
    `java.lang.String` | `getJavaOuterClassname()` If set, all the classes from the .proto file are wrapped in a single outer class with the given name.
    `ByteString` | `getJavaOuterClassnameBytes()` If set, all the classes from the .proto file are wrapped in a single outer class with the given name.
    `java.lang.String` | `getJavaPackage()` Sets the Java package where classes generated from this .proto will be placed.
    `ByteString` | `getJavaPackageBytes()` Sets the Java package where classes generated from this .proto will be placed.
    `boolean` | `getJavaStringCheckUtf8()` If set true, then the Java2 code generator will generate code that throws an exception whenever an attempt is made to assign a non-UTF-8 byte sequence to a string field.
    `java.lang.String` | `getObjcClassPrefix()` Sets the objective c class prefix which is prepended to all objective c generated classes from this .proto.
    `ByteString` | `getObjcClassPrefixBytes()` Sets the objective c class prefix which is prepended to all objective c generated classes from this .proto.
    `DescriptorProtos.FileOptions.OptimizeMode` | `getOptimizeFor()` `optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED];`
    `java.lang.String` | `getPhpClassPrefix()` Sets the php class prefix which is prepended to all php generated classes from this .proto.
    `ByteString` | `getPhpClassPrefixBytes()` Sets the php class prefix which is prepended to all php generated classes from this .proto.
    `boolean` | `getPyGenericServices()` `optional bool py_generic_services = 18 [default = false];`
    `java.lang.String` | `getSwiftPrefix()` By default Swift generators will take the proto package and CamelCase it replacing '.' with underscore and use that to prefix the types/symbols defined.
    `ByteString` | `getSwiftPrefixBytes()` By default Swift generators will take the proto package and CamelCase it replacing '.' with underscore and use that to prefix the types/symbols defined.
    `DescriptorProtos.UninterpretedOption` | `getUninterpretedOption(int index)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.UninterpretedOption.Builder` | `getUninterpretedOptionBuilder(int index)` The parser stores options it doesn't recognize here.
    `java.util.List<DescriptorProtos.UninterpretedOption.Builder>` | `getUninterpretedOptionBuilderList()` The parser stores options it doesn't recognize here.
    `int` | `getUninterpretedOptionCount()` The parser stores options it doesn't recognize here.
    `java.util.List<DescriptorProtos.UninterpretedOption>` | `getUninterpretedOptionList()` The parser stores options it doesn't recognize here.
    `DescriptorProtos.UninterpretedOptionOrBuilder` | `getUninterpretedOptionOrBuilder(int index)` The parser stores options it doesn't recognize here.
    `java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>` | `getUninterpretedOptionOrBuilderList()` The parser stores options it doesn't recognize here.
    `boolean` | `hasCcEnableArenas()` Enables the use of arenas for the proto messages in this file.
    `boolean` | `hasCcGenericServices()` Should generic services be generated in each language? "Generic" services are not specific to any particular RPC system.
    `boolean` | `hasCsharpNamespace()` Namespace for generated classes; defaults to the package.
    `boolean` | `hasDeprecated()` Is this file deprecated? Depending on the target platform, this can emit Deprecated annotations for everything in the file, or it will be completely ignored; in the very least, this is a formalization for deprecating files.
    `boolean` | `hasGoPackage()` Sets the Go package where structs generated from this .proto will be placed.
    `boolean` | `hasJavaGenerateEqualsAndHash()` Deprecated.
    `boolean` | `hasJavaGenericServices()` `optional bool java_generic_services = 17 [default = false];`
    `boolean` | `hasJavaMultipleFiles()` If set true, then the Java code generator will generate a separate .java file for each top-level message, enum, and service defined in the .proto file.
    `boolean` | `hasJavaOuterClassname()` If set, all the classes from the .proto file are wrapped in a single outer class with the given name.
    `boolean` | `hasJavaPackage()` Sets the Java package where classes generated from this .proto will be placed.
    `boolean` | `hasJavaStringCheckUtf8()` If set true, then the Java2 code generator will generate code that throws an exception whenever an attempt is made to assign a non-UTF-8 byte sequence to a string field.
    `boolean` | `hasObjcClassPrefix()` Sets the objective c class prefix which is prepended to all objective c generated classes from this .proto.
    `boolean` | `hasOptimizeFor()` `optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED];`
    `boolean` | `hasPhpClassPrefix()` Sets the php class prefix which is prepended to all php generated classes from this .proto.
    `boolean` | `hasPyGenericServices()` `optional bool py_generic_services = 18 [default = false];`
    `boolean` | `hasSwiftPrefix()` By default Swift generators will take the proto package and CamelCase it replacing '.' with underscore and use that to prefix the types/symbols defined.
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `DescriptorProtos.FileOptions.Builder` | `mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)` Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
    `DescriptorProtos.FileOptions.Builder` | `mergeFrom(DescriptorProtos.FileOptions other)`
    `DescriptorProtos.FileOptions.Builder` | `mergeFrom(Message other)` Merge `other` into the message being built.
    `DescriptorProtos.FileOptions.Builder` | `mergeUnknownFields(UnknownFieldSet unknownFields)` Merge some unknown fields into the `UnknownFieldSet` for this message.
    `DescriptorProtos.FileOptions.Builder` | `removeUninterpretedOption(int index)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.FileOptions.Builder` | `setCcEnableArenas(boolean value)` Enables the use of arenas for the proto messages in this file.
    `DescriptorProtos.FileOptions.Builder` | `setCcGenericServices(boolean value)` Should generic services be generated in each language? "Generic" services are not specific to any particular RPC system.
    `DescriptorProtos.FileOptions.Builder` | `setCsharpNamespace(java.lang.String value)` Namespace for generated classes; defaults to the package.
    `DescriptorProtos.FileOptions.Builder` | `setCsharpNamespaceBytes(ByteString value)` Namespace for generated classes; defaults to the package.
    `DescriptorProtos.FileOptions.Builder` | `setDeprecated(boolean value)` Is this file deprecated? Depending on the target platform, this can emit Deprecated annotations for everything in the file, or it will be completely ignored; in the very least, this is a formalization for deprecating files.
    `<Type> DescriptorProtos.FileOptions.Builder` | `setExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.FileOptions,java.util.List<Type>> extension, int index, Type value)` Set the value of one element of a repeated extension.
    `<Type> DescriptorProtos.FileOptions.Builder` | `setExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.FileOptions,Type> extension, Type value)` Set the value of an extension.
    `DescriptorProtos.FileOptions.Builder` | `setField(Descriptors.FieldDescriptor field, java.lang.Object value)` Sets a field to the given value.
    `DescriptorProtos.FileOptions.Builder` | `setGoPackage(java.lang.String value)` Sets the Go package where structs generated from this .proto will be placed.
    `DescriptorProtos.FileOptions.Builder` | `setGoPackageBytes(ByteString value)` Sets the Go package where structs generated from this .proto will be placed.
    `DescriptorProtos.FileOptions.Builder` | `setJavaGenerateEqualsAndHash(boolean value)` Deprecated.
    `DescriptorProtos.FileOptions.Builder` | `setJavaGenericServices(boolean value)` `optional bool java_generic_services = 17 [default = false];`
    `DescriptorProtos.FileOptions.Builder` | `setJavaMultipleFiles(boolean value)` If set true, then the Java code generator will generate a separate .java file for each top-level message, enum, and service defined in the .proto file.
    `DescriptorProtos.FileOptions.Builder` | `setJavaOuterClassname(java.lang.String value)` If set, all the classes from the .proto file are wrapped in a single outer class with the given name.
    `DescriptorProtos.FileOptions.Builder` | `setJavaOuterClassnameBytes(ByteString value)` If set, all the classes from the .proto file are wrapped in a single outer class with the given name.
    `DescriptorProtos.FileOptions.Builder` | `setJavaPackage(java.lang.String value)` Sets the Java package where classes generated from this .proto will be placed.
    `DescriptorProtos.FileOptions.Builder` | `setJavaPackageBytes(ByteString value)` Sets the Java package where classes generated from this .proto will be placed.
    `DescriptorProtos.FileOptions.Builder` | `setJavaStringCheckUtf8(boolean value)` If set true, then the Java2 code generator will generate code that throws an exception whenever an attempt is made to assign a non-UTF-8 byte sequence to a string field.
    `DescriptorProtos.FileOptions.Builder` | `setObjcClassPrefix(java.lang.String value)` Sets the objective c class prefix which is prepended to all objective c generated classes from this .proto.
    `DescriptorProtos.FileOptions.Builder` | `setObjcClassPrefixBytes(ByteString value)` Sets the objective c class prefix which is prepended to all objective c generated classes from this .proto.
    `DescriptorProtos.FileOptions.Builder` | `setOptimizeFor(DescriptorProtos.FileOptions.OptimizeMode value)` `optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED];`
    `DescriptorProtos.FileOptions.Builder` | `setPhpClassPrefix(java.lang.String value)` Sets the php class prefix which is prepended to all php generated classes from this .proto.
    `DescriptorProtos.FileOptions.Builder` | `setPhpClassPrefixBytes(ByteString value)` Sets the php class prefix which is prepended to all php generated classes from this .proto.
    `DescriptorProtos.FileOptions.Builder` | `setPyGenericServices(boolean value)` `optional bool py_generic_services = 18 [default = false];`
    `DescriptorProtos.FileOptions.Builder` | `setRepeatedField(Descriptors.FieldDescriptor field, int index, java.lang.Object value)` Sets an element of a repeated field to the given value.
    `DescriptorProtos.FileOptions.Builder` | `setSwiftPrefix(java.lang.String value)` By default Swift generators will take the proto package and CamelCase it replacing '.' with underscore and use that to prefix the types/symbols defined.
    `DescriptorProtos.FileOptions.Builder` | `setSwiftPrefixBytes(ByteString value)` By default Swift generators will take the proto package and CamelCase it replacing '.' with underscore and use that to prefix the types/symbols defined.
    `DescriptorProtos.FileOptions.Builder` | `setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.FileOptions.Builder` | `setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.FileOptions.Builder` | `setUnknownFields(UnknownFieldSet unknownFields)` Set the `UnknownFieldSet` for this message.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.ExtendableBuilder

      `addExtension, addExtension, clearExtension, clearExtension, extensionsAreInitialized, getAllFields, getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, getField, getRepeatedField, getRepeatedFieldCount, hasExtension, hasExtension, hasExtension, hasField, mergeExtensionFields, parseUnknownField, setExtension, setExtension, setExtension, setExtension`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedFieldBuilder, getUnknownFields, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder

      `getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, hasExtension, hasExtension, hasExtension`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3.Builder`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileOptions.Builder>`

    - #### clear

          public DescriptorProtos.FileOptions.Builder clear()

      Description copied from class: `GeneratedMessageV3.Builder`
      Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
      Specified by:
        `clear` in interface `Message.Builder`
      Specified by:
        `clear` in interface `MessageLite.Builder`
      Overrides:
        `clear` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

    - #### getDescriptorForType

          public Descriptors.Descriptor getDescriptorForType()

      Description copied from interface: `Message.Builder`
      Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.
      Specified by:
        `getDescriptorForType` in interface `Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileOptions.Builder>`

    - #### getDefaultInstanceForType

          public DescriptorProtos.FileOptions getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.FileOptions>`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`

    - #### build

          public DescriptorProtos.FileOptions build()

      Description copied from interface: `MessageLite.Builder`
      Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `build` in interface `Message.Builder`
      Specified by:
        `build` in interface `MessageLite.Builder`

    - #### buildPartial

          public DescriptorProtos.FileOptions buildPartial()

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `buildPartial` in interface `Message.Builder`
      Specified by:
        `buildPartial` in interface `MessageLite.Builder`

    - #### clone

          public DescriptorProtos.FileOptions.Builder clone()

      Description copied from interface: `MessageLite.Builder`
      Clones the Builder.
      Specified by:
        `clone` in interface `Message.Builder`
      Specified by:
        `clone` in interface `MessageLite.Builder`
      Overrides:
        `clone` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileOptions.Builder>`
      See Also:
        `Object.clone()`

    - #### setField

          public DescriptorProtos.FileOptions.Builder setField(Descriptors.FieldDescriptor field,
                                                      java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets a field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` would return.
      Specified by:
        `setField` in interface `Message.Builder`
      Overrides:
        `setField` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

    - #### clearField

          public DescriptorProtos.FileOptions.Builder clearField(Descriptors.FieldDescriptor field)

      Description copied from interface: `Message.Builder`
      Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.
      Specified by:
        `clearField` in interface `Message.Builder`
      Overrides:
        `clearField` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

    - #### clearOneof

          public DescriptorProtos.FileOptions.Builder clearOneof(Descriptors.OneofDescriptor oneof)

      Description copied from class: `AbstractMessage.Builder`
      TODO(jieluo): Clear it when all subclasses have implemented this method.
      Specified by:
        `clearOneof` in interface `Message.Builder`
      Overrides:
        `clearOneof` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileOptions.Builder>`

    - #### setRepeatedField

          public DescriptorProtos.FileOptions.Builder setRepeatedField(Descriptors.FieldDescriptor field,
                                                              int index,
                                                              java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets an element of a repeated field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` would return.
      Specified by:
        `setRepeatedField` in interface `Message.Builder`
      Overrides:
        `setRepeatedField` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

    - #### addRepeatedField

          public DescriptorProtos.FileOptions.Builder addRepeatedField(Descriptors.FieldDescriptor field,
                                                              java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Like `setRepeatedField`, but appends the value as a new element.
      Specified by:
        `addRepeatedField` in interface `Message.Builder`
      Overrides:
        `addRepeatedField` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

    - #### setExtension

          public <Type> DescriptorProtos.FileOptions.Builder setExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.FileOptions,Type> extension,
                                                                 Type value)

      Description copied from class: `GeneratedMessageV3.ExtendableBuilder`
      Set the value of an extension.
      Overrides:
        `setExtension` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

    - #### setExtension

          public <Type> DescriptorProtos.FileOptions.Builder setExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.FileOptions,java.util.List<Type>> extension,
                                                                 int index,
                                                                 Type value)

      Description copied from class: `GeneratedMessageV3.ExtendableBuilder`
      Set the value of one element of a repeated extension.
      Overrides:
        `setExtension` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

    - #### addExtension

          public <Type> DescriptorProtos.FileOptions.Builder addExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.FileOptions,java.util.List<Type>> extension,
                                                                 Type value)

      Description copied from class: `GeneratedMessageV3.ExtendableBuilder`
      Append a value to a repeated extension.
      Overrides:
        `addExtension` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

    - #### clearExtension

          public <Type> DescriptorProtos.FileOptions.Builder clearExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.FileOptions,?> extension)

      Description copied from class: `GeneratedMessageV3.ExtendableBuilder`
      Clear an extension.
      Overrides:
        `clearExtension` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

    - #### mergeFrom

          public DescriptorProtos.FileOptions.Builder mergeFrom(Message other)

      Description copied from interface: `Message.Builder`
      Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`). Merging occurs as follows. For each field:
      * For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
      * For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
      * For repeated fields, the elements in `other` are concatenated with the elements in this message. * For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved. This is equivalent to the `Message::MergeFrom` method in C++.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FileOptions.Builder>`

    - #### mergeFrom

          public DescriptorProtos.FileOptions.Builder mergeFrom(DescriptorProtos.FileOptions other)

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

    - #### mergeFrom

          public DescriptorProtos.FileOptions.Builder mergeFrom(CodedInputStream input,
                                                       ExtensionRegistryLite extensionRegistry)
                                                         throws java.io.IOException

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Specified by:
        `mergeFrom` in interface `MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FileOptions.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasJavaPackage

          public boolean hasJavaPackage()

           Sets the Java package where classes generated from this .proto will be
           placed.  By default, the proto package is used, but this is often
           inappropriate because proto packages do not normally start with backwards
           domain names.

      `optional string java_package = 1;`
      Specified by:
        `hasJavaPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getJavaPackage

          public java.lang.String getJavaPackage()

           Sets the Java package where classes generated from this .proto will be
           placed.  By default, the proto package is used, but this is often
           inappropriate because proto packages do not normally start with backwards
           domain names.

      `optional string java_package = 1;`
      Specified by:
        `getJavaPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getJavaPackageBytes

          public ByteString getJavaPackageBytes()

           Sets the Java package where classes generated from this .proto will be
           placed.  By default, the proto package is used, but this is often
           inappropriate because proto packages do not normally start with backwards
           domain names.

      `optional string java_package = 1;`
      Specified by:
        `getJavaPackageBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setJavaPackage

          public DescriptorProtos.FileOptions.Builder setJavaPackage(java.lang.String value)

           Sets the Java package where classes generated from this .proto will be
           placed.  By default, the proto package is used, but this is often
           inappropriate because proto packages do not normally start with backwards
           domain names.

      `optional string java_package = 1;`

    - #### clearJavaPackage

          public DescriptorProtos.FileOptions.Builder clearJavaPackage()

           Sets the Java package where classes generated from this .proto will be
           placed.  By default, the proto package is used, but this is often
           inappropriate because proto packages do not normally start with backwards
           domain names.

      `optional string java_package = 1;`

    - #### setJavaPackageBytes

          public DescriptorProtos.FileOptions.Builder setJavaPackageBytes(ByteString value)

           Sets the Java package where classes generated from this .proto will be
           placed.  By default, the proto package is used, but this is often
           inappropriate because proto packages do not normally start with backwards
           domain names.

      `optional string java_package = 1;`

    - #### hasJavaOuterClassname

          public boolean hasJavaOuterClassname()

           If set, all the classes from the .proto file are wrapped in a single
           outer class with the given name.  This applies to both Proto1
           (equivalent to the old "--one_java_file" option) and Proto2 (where
           a .proto always translates to a single class, but you may want to
           explicitly choose the class name).

      `optional string java_outer_classname = 8;`
      Specified by:
        `hasJavaOuterClassname` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getJavaOuterClassname

          public java.lang.String getJavaOuterClassname()

           If set, all the classes from the .proto file are wrapped in a single
           outer class with the given name.  This applies to both Proto1
           (equivalent to the old "--one_java_file" option) and Proto2 (where
           a .proto always translates to a single class, but you may want to
           explicitly choose the class name).

      `optional string java_outer_classname = 8;`
      Specified by:
        `getJavaOuterClassname` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getJavaOuterClassnameBytes

          public ByteString getJavaOuterClassnameBytes()

           If set, all the classes from the .proto file are wrapped in a single
           outer class with the given name.  This applies to both Proto1
           (equivalent to the old "--one_java_file" option) and Proto2 (where
           a .proto always translates to a single class, but you may want to
           explicitly choose the class name).

      `optional string java_outer_classname = 8;`
      Specified by:
        `getJavaOuterClassnameBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setJavaOuterClassname

          public DescriptorProtos.FileOptions.Builder setJavaOuterClassname(java.lang.String value)

           If set, all the classes from the .proto file are wrapped in a single
           outer class with the given name.  This applies to both Proto1
           (equivalent to the old "--one_java_file" option) and Proto2 (where
           a .proto always translates to a single class, but you may want to
           explicitly choose the class name).

      `optional string java_outer_classname = 8;`

    - #### clearJavaOuterClassname

          public DescriptorProtos.FileOptions.Builder clearJavaOuterClassname()

           If set, all the classes from the .proto file are wrapped in a single
           outer class with the given name.  This applies to both Proto1
           (equivalent to the old "--one_java_file" option) and Proto2 (where
           a .proto always translates to a single class, but you may want to
           explicitly choose the class name).

      `optional string java_outer_classname = 8;`

    - #### setJavaOuterClassnameBytes

          public DescriptorProtos.FileOptions.Builder setJavaOuterClassnameBytes(ByteString value)

           If set, all the classes from the .proto file are wrapped in a single
           outer class with the given name.  This applies to both Proto1
           (equivalent to the old "--one_java_file" option) and Proto2 (where
           a .proto always translates to a single class, but you may want to
           explicitly choose the class name).

      `optional string java_outer_classname = 8;`

    - #### hasJavaMultipleFiles

          public boolean hasJavaMultipleFiles()

           If set true, then the Java code generator will generate a separate .java
           file for each top-level message, enum, and service defined in the .proto
           file.  Thus, these types will *not* be nested inside the outer class
           named by java_outer_classname.  However, the outer class will still be
           generated to contain the file's getDescriptor() method as well as any
           top-level extensions defined in the file.

      `optional bool java_multiple_files = 10 [default = false];`
      Specified by:
        `hasJavaMultipleFiles` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getJavaMultipleFiles

          public boolean getJavaMultipleFiles()

           If set true, then the Java code generator will generate a separate .java
           file for each top-level message, enum, and service defined in the .proto
           file.  Thus, these types will *not* be nested inside the outer class
           named by java_outer_classname.  However, the outer class will still be
           generated to contain the file's getDescriptor() method as well as any
           top-level extensions defined in the file.

      `optional bool java_multiple_files = 10 [default = false];`
      Specified by:
        `getJavaMultipleFiles` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setJavaMultipleFiles

          public DescriptorProtos.FileOptions.Builder setJavaMultipleFiles(boolean value)

           If set true, then the Java code generator will generate a separate .java
           file for each top-level message, enum, and service defined in the .proto
           file.  Thus, these types will *not* be nested inside the outer class
           named by java_outer_classname.  However, the outer class will still be
           generated to contain the file's getDescriptor() method as well as any
           top-level extensions defined in the file.

      `optional bool java_multiple_files = 10 [default = false];`

    - #### clearJavaMultipleFiles

          public DescriptorProtos.FileOptions.Builder clearJavaMultipleFiles()

           If set true, then the Java code generator will generate a separate .java
           file for each top-level message, enum, and service defined in the .proto
           file.  Thus, these types will *not* be nested inside the outer class
           named by java_outer_classname.  However, the outer class will still be
           generated to contain the file's getDescriptor() method as well as any
           top-level extensions defined in the file.

      `optional bool java_multiple_files = 10 [default = false];`

    - #### hasJavaGenerateEqualsAndHash

          @Deprecated
          public boolean hasJavaGenerateEqualsAndHash()

      Deprecated.

           This option does nothing.

      `optional bool java_generate_equals_and_hash = 20 [deprecated = true];`
      Specified by:
        `hasJavaGenerateEqualsAndHash` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getJavaGenerateEqualsAndHash

          @Deprecated
          public boolean getJavaGenerateEqualsAndHash()

      Deprecated.

           This option does nothing.

      `optional bool java_generate_equals_and_hash = 20 [deprecated = true];`
      Specified by:
        `getJavaGenerateEqualsAndHash` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setJavaGenerateEqualsAndHash

          @Deprecated
          public DescriptorProtos.FileOptions.Builder setJavaGenerateEqualsAndHash(boolean value)

      Deprecated.

           This option does nothing.

      `optional bool java_generate_equals_and_hash = 20 [deprecated = true];`

    - #### clearJavaGenerateEqualsAndHash

          @Deprecated
          public DescriptorProtos.FileOptions.Builder clearJavaGenerateEqualsAndHash()

      Deprecated.

           This option does nothing.

      `optional bool java_generate_equals_and_hash = 20 [deprecated = true];`

    - #### hasJavaStringCheckUtf8

          public boolean hasJavaStringCheckUtf8()

           If set true, then the Java2 code generator will generate code that
           throws an exception whenever an attempt is made to assign a non-UTF-8
           byte sequence to a string field.
           Message reflection will do the same.
           However, an extension field still accepts non-UTF-8 byte sequences.
           This option has no effect on when used with the lite runtime.

      `optional bool java_string_check_utf8 = 27 [default = false];`
      Specified by:
        `hasJavaStringCheckUtf8` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getJavaStringCheckUtf8

          public boolean getJavaStringCheckUtf8()

           If set true, then the Java2 code generator will generate code that
           throws an exception whenever an attempt is made to assign a non-UTF-8
           byte sequence to a string field.
           Message reflection will do the same.
           However, an extension field still accepts non-UTF-8 byte sequences.
           This option has no effect on when used with the lite runtime.

      `optional bool java_string_check_utf8 = 27 [default = false];`
      Specified by:
        `getJavaStringCheckUtf8` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setJavaStringCheckUtf8

          public DescriptorProtos.FileOptions.Builder setJavaStringCheckUtf8(boolean value)

           If set true, then the Java2 code generator will generate code that
           throws an exception whenever an attempt is made to assign a non-UTF-8
           byte sequence to a string field.
           Message reflection will do the same.
           However, an extension field still accepts non-UTF-8 byte sequences.
           This option has no effect on when used with the lite runtime.

      `optional bool java_string_check_utf8 = 27 [default = false];`

    - #### clearJavaStringCheckUtf8

          public DescriptorProtos.FileOptions.Builder clearJavaStringCheckUtf8()

           If set true, then the Java2 code generator will generate code that
           throws an exception whenever an attempt is made to assign a non-UTF-8
           byte sequence to a string field.
           Message reflection will do the same.
           However, an extension field still accepts non-UTF-8 byte sequences.
           This option has no effect on when used with the lite runtime.

      `optional bool java_string_check_utf8 = 27 [default = false];`

    - #### hasOptimizeFor

          public boolean hasOptimizeFor()

      `optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED];`
      Specified by:
        `hasOptimizeFor` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getOptimizeFor

          public DescriptorProtos.FileOptions.OptimizeMode getOptimizeFor()

      `optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED];`
      Specified by:
        `getOptimizeFor` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setOptimizeFor

          public DescriptorProtos.FileOptions.Builder setOptimizeFor(DescriptorProtos.FileOptions.OptimizeMode value)

      `optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED];`

    - #### clearOptimizeFor

          public DescriptorProtos.FileOptions.Builder clearOptimizeFor()

      `optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED];`

    - #### hasGoPackage

          public boolean hasGoPackage()

           Sets the Go package where structs generated from this .proto will be
           placed. If omitted, the Go package will be derived from the following:
             - The basename of the package import path, if provided.
             - Otherwise, the package statement in the .proto file, if present.
             - Otherwise, the basename of the .proto file, without extension.

      `optional string go_package = 11;`
      Specified by:
        `hasGoPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getGoPackage

          public java.lang.String getGoPackage()

           Sets the Go package where structs generated from this .proto will be
           placed. If omitted, the Go package will be derived from the following:
             - The basename of the package import path, if provided.
             - Otherwise, the package statement in the .proto file, if present.
             - Otherwise, the basename of the .proto file, without extension.

      `optional string go_package = 11;`
      Specified by:
        `getGoPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getGoPackageBytes

          public ByteString getGoPackageBytes()

           Sets the Go package where structs generated from this .proto will be
           placed. If omitted, the Go package will be derived from the following:
             - The basename of the package import path, if provided.
             - Otherwise, the package statement in the .proto file, if present.
             - Otherwise, the basename of the .proto file, without extension.

      `optional string go_package = 11;`
      Specified by:
        `getGoPackageBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setGoPackage

          public DescriptorProtos.FileOptions.Builder setGoPackage(java.lang.String value)

           Sets the Go package where structs generated from this .proto will be
           placed. If omitted, the Go package will be derived from the following:
             - The basename of the package import path, if provided.
             - Otherwise, the package statement in the .proto file, if present.
             - Otherwise, the basename of the .proto file, without extension.

      `optional string go_package = 11;`

    - #### clearGoPackage

          public DescriptorProtos.FileOptions.Builder clearGoPackage()

           Sets the Go package where structs generated from this .proto will be
           placed. If omitted, the Go package will be derived from the following:
             - The basename of the package import path, if provided.
             - Otherwise, the package statement in the .proto file, if present.
             - Otherwise, the basename of the .proto file, without extension.

      `optional string go_package = 11;`

    - #### setGoPackageBytes

          public DescriptorProtos.FileOptions.Builder setGoPackageBytes(ByteString value)

           Sets the Go package where structs generated from this .proto will be
           placed. If omitted, the Go package will be derived from the following:
             - The basename of the package import path, if provided.
             - Otherwise, the package statement in the .proto file, if present.
             - Otherwise, the basename of the .proto file, without extension.

      `optional string go_package = 11;`

    - #### hasCcGenericServices

          public boolean hasCcGenericServices()

           Should generic services be generated in each language?  "Generic" services
           are not specific to any particular RPC system.  They are generated by the
           main code generators in each language (without additional plugins).
           Generic services were the only kind of service generation supported by
           early versions of google.protobuf.
           Generic services are now considered deprecated in favor of using plugins
           that generate code specific to your particular RPC system.  Therefore,
           these default to false.  Old code which depends on generic services should
           explicitly set them to true.

      `optional bool cc_generic_services = 16 [default = false];`
      Specified by:
        `hasCcGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getCcGenericServices

          public boolean getCcGenericServices()

           Should generic services be generated in each language?  "Generic" services
           are not specific to any particular RPC system.  They are generated by the
           main code generators in each language (without additional plugins).
           Generic services were the only kind of service generation supported by
           early versions of google.protobuf.
           Generic services are now considered deprecated in favor of using plugins
           that generate code specific to your particular RPC system.  Therefore,
           these default to false.  Old code which depends on generic services should
           explicitly set them to true.

      `optional bool cc_generic_services = 16 [default = false];`
      Specified by:
        `getCcGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setCcGenericServices

          public DescriptorProtos.FileOptions.Builder setCcGenericServices(boolean value)

           Should generic services be generated in each language?  "Generic" services
           are not specific to any particular RPC system.  They are generated by the
           main code generators in each language (without additional plugins).
           Generic services were the only kind of service generation supported by
           early versions of google.protobuf.
           Generic services are now considered deprecated in favor of using plugins
           that generate code specific to your particular RPC system.  Therefore,
           these default to false.  Old code which depends on generic services should
           explicitly set them to true.

      `optional bool cc_generic_services = 16 [default = false];`

    - #### clearCcGenericServices

          public DescriptorProtos.FileOptions.Builder clearCcGenericServices()

           Should generic services be generated in each language?  "Generic" services
           are not specific to any particular RPC system.  They are generated by the
           main code generators in each language (without additional plugins).
           Generic services were the only kind of service generation supported by
           early versions of google.protobuf.
           Generic services are now considered deprecated in favor of using plugins
           that generate code specific to your particular RPC system.  Therefore,
           these default to false.  Old code which depends on generic services should
           explicitly set them to true.

      `optional bool cc_generic_services = 16 [default = false];`

    - #### hasJavaGenericServices

          public boolean hasJavaGenericServices()

      `optional bool java_generic_services = 17 [default = false];`
      Specified by:
        `hasJavaGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getJavaGenericServices

          public boolean getJavaGenericServices()

      `optional bool java_generic_services = 17 [default = false];`
      Specified by:
        `getJavaGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setJavaGenericServices

          public DescriptorProtos.FileOptions.Builder setJavaGenericServices(boolean value)

      `optional bool java_generic_services = 17 [default = false];`

    - #### clearJavaGenericServices

          public DescriptorProtos.FileOptions.Builder clearJavaGenericServices()

      `optional bool java_generic_services = 17 [default = false];`

    - #### hasPyGenericServices

          public boolean hasPyGenericServices()

      `optional bool py_generic_services = 18 [default = false];`
      Specified by:
        `hasPyGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getPyGenericServices

          public boolean getPyGenericServices()

      `optional bool py_generic_services = 18 [default = false];`
      Specified by:
        `getPyGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setPyGenericServices

          public DescriptorProtos.FileOptions.Builder setPyGenericServices(boolean value)

      `optional bool py_generic_services = 18 [default = false];`

    - #### clearPyGenericServices

          public DescriptorProtos.FileOptions.Builder clearPyGenericServices()

      `optional bool py_generic_services = 18 [default = false];`

    - #### hasDeprecated

          public boolean hasDeprecated()

           Is this file deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for everything in the file, or it will be completely ignored; in the very
           least, this is a formalization for deprecating files.

      `optional bool deprecated = 23 [default = false];`
      Specified by:
        `hasDeprecated` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getDeprecated

          public boolean getDeprecated()

           Is this file deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for everything in the file, or it will be completely ignored; in the very
           least, this is a formalization for deprecating files.

      `optional bool deprecated = 23 [default = false];`
      Specified by:
        `getDeprecated` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setDeprecated

          public DescriptorProtos.FileOptions.Builder setDeprecated(boolean value)

           Is this file deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for everything in the file, or it will be completely ignored; in the very
           least, this is a formalization for deprecating files.

      `optional bool deprecated = 23 [default = false];`

    - #### clearDeprecated

          public DescriptorProtos.FileOptions.Builder clearDeprecated()

           Is this file deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for everything in the file, or it will be completely ignored; in the very
           least, this is a formalization for deprecating files.

      `optional bool deprecated = 23 [default = false];`

    - #### hasCcEnableArenas

          public boolean hasCcEnableArenas()

           Enables the use of arenas for the proto messages in this file. This applies
           only to generated classes for C++.

      `optional bool cc_enable_arenas = 31 [default = false];`
      Specified by:
        `hasCcEnableArenas` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getCcEnableArenas

          public boolean getCcEnableArenas()

           Enables the use of arenas for the proto messages in this file. This applies
           only to generated classes for C++.

      `optional bool cc_enable_arenas = 31 [default = false];`
      Specified by:
        `getCcEnableArenas` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setCcEnableArenas

          public DescriptorProtos.FileOptions.Builder setCcEnableArenas(boolean value)

           Enables the use of arenas for the proto messages in this file. This applies
           only to generated classes for C++.

      `optional bool cc_enable_arenas = 31 [default = false];`

    - #### clearCcEnableArenas

          public DescriptorProtos.FileOptions.Builder clearCcEnableArenas()

           Enables the use of arenas for the proto messages in this file. This applies
           only to generated classes for C++.

      `optional bool cc_enable_arenas = 31 [default = false];`

    - #### hasObjcClassPrefix

          public boolean hasObjcClassPrefix()

           Sets the objective c class prefix which is prepended to all objective c
           generated classes from this .proto. There is no default.

      `optional string objc_class_prefix = 36;`
      Specified by:
        `hasObjcClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getObjcClassPrefix

          public java.lang.String getObjcClassPrefix()

           Sets the objective c class prefix which is prepended to all objective c
           generated classes from this .proto. There is no default.

      `optional string objc_class_prefix = 36;`
      Specified by:
        `getObjcClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getObjcClassPrefixBytes

          public ByteString getObjcClassPrefixBytes()

           Sets the objective c class prefix which is prepended to all objective c
           generated classes from this .proto. There is no default.

      `optional string objc_class_prefix = 36;`
      Specified by:
        `getObjcClassPrefixBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setObjcClassPrefix

          public DescriptorProtos.FileOptions.Builder setObjcClassPrefix(java.lang.String value)

           Sets the objective c class prefix which is prepended to all objective c
           generated classes from this .proto. There is no default.

      `optional string objc_class_prefix = 36;`

    - #### clearObjcClassPrefix

          public DescriptorProtos.FileOptions.Builder clearObjcClassPrefix()

           Sets the objective c class prefix which is prepended to all objective c
           generated classes from this .proto. There is no default.

      `optional string objc_class_prefix = 36;`

    - #### setObjcClassPrefixBytes

          public DescriptorProtos.FileOptions.Builder setObjcClassPrefixBytes(ByteString value)

           Sets the objective c class prefix which is prepended to all objective c
           generated classes from this .proto. There is no default.

      `optional string objc_class_prefix = 36;`

    - #### hasCsharpNamespace

          public boolean hasCsharpNamespace()

           Namespace for generated classes; defaults to the package.

      `optional string csharp_namespace = 37;`
      Specified by:
        `hasCsharpNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getCsharpNamespace

          public java.lang.String getCsharpNamespace()

           Namespace for generated classes; defaults to the package.

      `optional string csharp_namespace = 37;`
      Specified by:
        `getCsharpNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getCsharpNamespaceBytes

          public ByteString getCsharpNamespaceBytes()

           Namespace for generated classes; defaults to the package.

      `optional string csharp_namespace = 37;`
      Specified by:
        `getCsharpNamespaceBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setCsharpNamespace

          public DescriptorProtos.FileOptions.Builder setCsharpNamespace(java.lang.String value)

           Namespace for generated classes; defaults to the package.

      `optional string csharp_namespace = 37;`

    - #### clearCsharpNamespace

          public DescriptorProtos.FileOptions.Builder clearCsharpNamespace()

           Namespace for generated classes; defaults to the package.

      `optional string csharp_namespace = 37;`

    - #### setCsharpNamespaceBytes

          public DescriptorProtos.FileOptions.Builder setCsharpNamespaceBytes(ByteString value)

           Namespace for generated classes; defaults to the package.

      `optional string csharp_namespace = 37;`

    - #### hasSwiftPrefix

          public boolean hasSwiftPrefix()

           By default Swift generators will take the proto package and CamelCase it
           replacing '.' with underscore and use that to prefix the types/symbols
           defined. When this options is provided, they will use this value instead
           to prefix the types/symbols defined.

      `optional string swift_prefix = 39;`
      Specified by:
        `hasSwiftPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getSwiftPrefix

          public java.lang.String getSwiftPrefix()

           By default Swift generators will take the proto package and CamelCase it
           replacing '.' with underscore and use that to prefix the types/symbols
           defined. When this options is provided, they will use this value instead
           to prefix the types/symbols defined.

      `optional string swift_prefix = 39;`
      Specified by:
        `getSwiftPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getSwiftPrefixBytes

          public ByteString getSwiftPrefixBytes()

           By default Swift generators will take the proto package and CamelCase it
           replacing '.' with underscore and use that to prefix the types/symbols
           defined. When this options is provided, they will use this value instead
           to prefix the types/symbols defined.

      `optional string swift_prefix = 39;`
      Specified by:
        `getSwiftPrefixBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setSwiftPrefix

          public DescriptorProtos.FileOptions.Builder setSwiftPrefix(java.lang.String value)

           By default Swift generators will take the proto package and CamelCase it
           replacing '.' with underscore and use that to prefix the types/symbols
           defined. When this options is provided, they will use this value instead
           to prefix the types/symbols defined.

      `optional string swift_prefix = 39;`

    - #### clearSwiftPrefix

          public DescriptorProtos.FileOptions.Builder clearSwiftPrefix()

           By default Swift generators will take the proto package and CamelCase it
           replacing '.' with underscore and use that to prefix the types/symbols
           defined. When this options is provided, they will use this value instead
           to prefix the types/symbols defined.

      `optional string swift_prefix = 39;`

    - #### setSwiftPrefixBytes

          public DescriptorProtos.FileOptions.Builder setSwiftPrefixBytes(ByteString value)

           By default Swift generators will take the proto package and CamelCase it
           replacing '.' with underscore and use that to prefix the types/symbols
           defined. When this options is provided, they will use this value instead
           to prefix the types/symbols defined.

      `optional string swift_prefix = 39;`

    - #### hasPhpClassPrefix

          public boolean hasPhpClassPrefix()

           Sets the php class prefix which is prepended to all php generated classes
           from this .proto. Default is empty.

      `optional string php_class_prefix = 40;`
      Specified by:
        `hasPhpClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getPhpClassPrefix

          public java.lang.String getPhpClassPrefix()

           Sets the php class prefix which is prepended to all php generated classes
           from this .proto. Default is empty.

      `optional string php_class_prefix = 40;`
      Specified by:
        `getPhpClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getPhpClassPrefixBytes

          public ByteString getPhpClassPrefixBytes()

           Sets the php class prefix which is prepended to all php generated classes
           from this .proto. Default is empty.

      `optional string php_class_prefix = 40;`
      Specified by:
        `getPhpClassPrefixBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setPhpClassPrefix

          public DescriptorProtos.FileOptions.Builder setPhpClassPrefix(java.lang.String value)

           Sets the php class prefix which is prepended to all php generated classes
           from this .proto. Default is empty.

      `optional string php_class_prefix = 40;`

    - #### clearPhpClassPrefix

          public DescriptorProtos.FileOptions.Builder clearPhpClassPrefix()

           Sets the php class prefix which is prepended to all php generated classes
           from this .proto. Default is empty.

      `optional string php_class_prefix = 40;`

    - #### setPhpClassPrefixBytes

          public DescriptorProtos.FileOptions.Builder setPhpClassPrefixBytes(ByteString value)

           Sets the php class prefix which is prepended to all php generated classes
           from this .proto. Default is empty.

      `optional string php_class_prefix = 40;`

    - #### getUninterpretedOptionList

          public java.util.List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
      Specified by:
        `getUninterpretedOptionList` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getUninterpretedOptionCount

          public int getUninterpretedOptionCount()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
      Specified by:
        `getUninterpretedOptionCount` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getUninterpretedOption

          public DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
      Specified by:
        `getUninterpretedOption` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### setUninterpretedOption

          public DescriptorProtos.FileOptions.Builder setUninterpretedOption(int index,
                                                                    DescriptorProtos.UninterpretedOption value)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### setUninterpretedOption

          public DescriptorProtos.FileOptions.Builder setUninterpretedOption(int index,
                                                                    DescriptorProtos.UninterpretedOption.Builder builderForValue)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addUninterpretedOption

          public DescriptorProtos.FileOptions.Builder addUninterpretedOption(DescriptorProtos.UninterpretedOption value)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addUninterpretedOption

          public DescriptorProtos.FileOptions.Builder addUninterpretedOption(int index,
                                                                    DescriptorProtos.UninterpretedOption value)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addUninterpretedOption

          public DescriptorProtos.FileOptions.Builder addUninterpretedOption(DescriptorProtos.UninterpretedOption.Builder builderForValue)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addUninterpretedOption

          public DescriptorProtos.FileOptions.Builder addUninterpretedOption(int index,
                                                                    DescriptorProtos.UninterpretedOption.Builder builderForValue)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addAllUninterpretedOption

          public DescriptorProtos.FileOptions.Builder addAllUninterpretedOption(java.lang.Iterable<? extends DescriptorProtos.UninterpretedOption> values)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### clearUninterpretedOption

          public DescriptorProtos.FileOptions.Builder clearUninterpretedOption()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### removeUninterpretedOption

          public DescriptorProtos.FileOptions.Builder removeUninterpretedOption(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionBuilder

          public DescriptorProtos.UninterpretedOption.Builder getUninterpretedOptionBuilder(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionOrBuilder

          public DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
      Specified by:
        `getUninterpretedOptionOrBuilder` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### getUninterpretedOptionOrBuilderList

          public java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
      Specified by:
        `getUninterpretedOptionOrBuilderList` in interface `DescriptorProtos.FileOptionsOrBuilder`

    - #### addUninterpretedOptionBuilder

          public DescriptorProtos.UninterpretedOption.Builder addUninterpretedOptionBuilder()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addUninterpretedOptionBuilder

          public DescriptorProtos.UninterpretedOption.Builder addUninterpretedOptionBuilder(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionBuilderList

          public java.util.List<DescriptorProtos.UninterpretedOption.Builder> getUninterpretedOptionBuilderList()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### setUnknownFields

          public final DescriptorProtos.FileOptions.Builder setUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Set the `UnknownFieldSet` for this message.
      Specified by:
        `setUnknownFields` in interface `Message.Builder`
      Overrides:
        `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileOptions.Builder>`

    - #### mergeUnknownFields

          public final DescriptorProtos.FileOptions.Builder mergeUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Merge some unknown fields into the `UnknownFieldSet` for this message.
      Specified by:
        `mergeUnknownFields` in interface `Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileOptions.Builder>`